org.apache.sysds.runtime.transform.tokenize

## Class Tokenizer

- java.lang.Object
- - org.apache.sysds.runtime.transform.tokenize.Tokenizer

All Implemented Interfaces:
  Serializable

    public class Tokenizer
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getNumCols()`
`long` `getNumRows(long inRows)`
`Types.ValueType[]` `getSchema()`
`FrameBlock` `tokenize(FrameBlock in, FrameBlock out)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSchema

    public Types.ValueType[] getSchema()

#### getNumRows

    public long getNumRows(long inRows)

#### getNumCols

    public long getNumCols()

#### tokenize

    public FrameBlock tokenize(FrameBlock in,
                               FrameBlock out)